package RPM::Source::BundleInput;

use strict;
use warnings;

#use Cwd;
use RPM::Source::Transform 0.019;
use RPM::Source::Transformation::Component;
use RPM::Source::BundleImport;

our @ISA=qw/RPM::Source::Transformation::Component/;
$RPM::Source::TransformContainer::INPUT_HANDLER=__PACKAGE__;

our $opt_download_cache_dir='in';

our @LONGOPT=(
    'download-cache-dir' => \$opt_download_cache_dir,
    );

sub print_longopt {
    print "  Input specific options:\n";
    print "	--download-cache-dir <dir> -- cache for network downloads. Default is 'in'\n";
}

sub process_options {}
sub register_messages {}

#sub register_messages {
#    my ($self,$extopt)=@_;
#    ### TODO: use some fixed keys hash here
#    RPM::Source::Transformation::Component::add_opt($extopt, {
#	});
#}

our @IN;

sub process_args {
    my ($self)=@_;
    map {push @IN, $RPM::Source::BundleImport::package_class->new(m!^(?:https?|ftp)://! ? (-url=> $_): (-file=> $_), -cachedir =>$opt_download_cache_dir)} @ARGV;
}

sub verify_args {
    my ($self)=@_;
    return 1 if @IN;
    print STDERR "ERROR: please, specify input files.\n";
    return 0;
}

package RPM::Source::Transform;

sub import_source_bundle {
    my ($self)=@_;
    while (@RPM::Source::BundleInput::IN) {
	my $opt_transform=RPM::Source::TransformContainer->mk_opt();
	# debug opt
	# use Data::Dumper;
	# print Dumper($opt);
	my $parentref=$RPM::Source::TransformContainer::ParentProvider->get() if $RPM::Source::TransformContainer::ParentProvider;
	my ($spec,$parent)=RPM::Source::BundleImport->get_spec_parent(shift @RPM::Source::BundleInput::IN,$opt_transform,$parentref);
	RPM::Source::TransformContainer->transform_once($spec,$parent,$opt_transform);
    };
}

1;
