package RPM::Source::Transformation::Factory::BundleImport::MetadataDocCollector;

use strict;
use warnings;
use Carp;

use RPM::Source::BundleImport::Helpers;
use RPM::Source::BundleImport::Metadata;
use RPM::Source::Transformation::Resource::InputBundle;
use RPM::Source::Transformation::Resource::MetadataCollector;
use RPM::Source::Transformation::Factory;

our @ISA=qw/RPM::Source::Transformation::Factory/;
push @RPM::Source::TransformContainer::FACTORY_CLASSES, __PACKAGE__;

our $verbose=1;

sub transformations {
    return RPM::Source::Transformation::OptHandlerWrapper->new(
	-priority => PRIORITY_BUNDLE_POSTCOLLECT,
	-name => 'metadata_collect_doc_from_source_tree',
	-opt_handler_sub=>\&opt_handler);
}

sub opt_handler {
    my (undef,undef,undef,$opt,$resourceobj)=@_;
    my $metacollector=$resourceobj->metadata_collector;
    my $filelist=$resourceobj->bundle_import_rebased_filelist();
    my $depth1dir=$resourceobj->bundle_import_rebased_depth1dir();

    ### TODO: docs! they are of SourceAnalyzer
    $metacollector->add('docfiles:list', -priority => MPRIORITY_GUESS,
	       -value => &_SourceBundleImport::helper::analyze_rebased_filelist_guess_doc($filelist,$depth1dir) );

    return RPM::Source::TransformContainer::TRANSFORMATION_OK;
}

1;
