package RPM::Source::Transformation::Factory::BundleImport::PkgMacrosCollector;

use strict;
use warnings;
use Carp;

use RPM::Source::Transformation::Factory::BundleImport::SetupSource;
use RPM::Source::Transformation::Factory;
our @ISA=qw/RPM::Source::Transformation::Factory/;

push @RPM::Source::TransformContainer::FACTORY_CLASSES, __PACKAGE__;

# $verbose=0;

sub transformations {
    return 
	RPM::Source::Transformation::OptHandlerWrapper->new(
	-priority => PRIORITY_BUNDLE_POSTCOLLECT,
	-name => 'pkg macros to SetupSource',
	-description => 'collect pkg macros for SetupSource',
	-opt_handler_sub=>\&opt_handler_collect_pkg_macros_for_SetupSource);
}

sub opt_handler_collect_pkg_macros_for_SetupSource {
    my (undef,$spec,undef,$converter_opt,$resourceobj)=@_;
    if ($spec) {
	my $macros=$spec->macros;
	my @found;
	foreach my $pkgmacros ('oname','module','module_name','upstream_name','dist','pkgname') {
	    push @found, $pkgmacros if $macros->get_raw($pkgmacros);
	}
	push @{$converter_opt->{-setup_macros_subst_list}}, @found;
    }
    return RPM::Source::TransformContainer::TRANSFORMATION_OK;
}

1;
