package RPM::Source::Transformation::Factory::BundleImport::ResetMacros;

use strict;
use warnings;
use Carp;
use File::Basename;

use RPM::Source::Transformation::Resource::Datapath;
use RPM::Source::Transformation::Factory;

our @ISA=qw/RPM::Source::Transformation::Factory/;

push @RPM::Source::TransformContainer::FACTORY_CLASSES, __PACKAGE__;

our $verbose=0;

sub transformations {
    return RPM::Source::Transformation::OptHandlerWrapper->new(
	-priority => PRIORITY_BUNDLE_RESET,
	-name => 'reset_macros_hack',
	-opt_handler_sub=>\&opt_handler);
}

sub opt_handler {
    my (undef,$spec,undef,$converter_opt,$resourceobj)=@_;

    # TEMPORARY? HACK(s)
    $spec->_reset_macros();

    # establish names for hooks and flags
    my $name=$spec->macros->macro_subst('%name');
    my $rename=$converter_opt->{-rename};
    my $destname=$rename ? $rename : $name;
    my $orginname=$name;
    my $pkgmacros=$converter_opt->{-macros_pkg_name};
    if ($pkgmacros) {
	$orginname=$spec->macros->macro_subst('%'.$converter_opt->{-macros_pkg_name}),
    }
    
    # fixes hooks loading - hack agains design flaw of Datapath factory and late name setup
    $resourceobj->datapath_set_resource_names($orginname,$destname);

    return RPM::Source::TransformContainer::TRANSFORMATION_OK;
}


1;
