package RPM::Source::Transformation::Factory::BundleImport::SetupFlagDB;

use strict;
use warnings;
use Carp;

use RPM::Source::Transformation::Factory;
our @ISA=qw/RPM::Source::Transformation::Factory/;

push @RPM::Source::TransformContainer::FACTORY_CLASSES, __PACKAGE__;

# $verbose=0;

sub transformations {
    return 
	RPM::Source::Transformation::OptHandlerWrapper->new(
	-priority => PRIORITY_PRE_BUNDLE,
	-name => 'setup_flag_db',
	-description => 'setup flag db resource name',
	-opt_handler_sub=>\&opt_handler_SetupFlagDB);
}

sub opt_handler_SetupFlagDB {
    my (undef,undef,undef,$converter_opt,$resourceobj)=@_;

    # set bundle name early to use flags db even before rpm name is known
    $resourceobj->datapath_set_resource_names($converter_opt->{-opt_bundle_name},undef);

    return RPM::Source::TransformContainer::TRANSFORMATION_OK;
}

1;
