package RPM::Source::Transformation::Factory::BundleImport::SubmitSource;

use strict;
use warnings;
use Carp;

use RPM::Source::Transformation::Resource::InputBundle;
use RPM::Source::Transformation::Factory 0.012;
our @ISA=qw/RPM::Source::Transformation::Factory/;
push @RPM::Source::TransformContainer::FACTORY_CLASSES, __PACKAGE__;

our $VERSION=0.002;
our $verbose=0;

sub transformations {
    return RPM::Source::Transformation::OptHandlerWrapper->new(
	-priority => PRIORITY_BUNDLE_POST_SOURCE,
	-name => 'submit_source_to_prepare_bundle',
	-description => 'prepare bundle for collecting',
	-opt_handler_sub=>\&opt_handler);
}

sub opt_handler {
    my (undef,undef,undef,$converter_opt,$resourceobj)=@_;
    my $file=$converter_opt->{-opt_bundle_source_file};
    $file//=$converter_opt->{-opt_bundle_input_file};
    return RPM::Source::TransformContainer::TRANSFORMATION_FAILURE if not defined($file);
    RPM::Source::Transformation::Resource::InputBundle->_submit_input_file($file);
    return RPM::Source::TransformContainer::TRANSFORMATION_OK;
}

1;
